part of modern_form_core;

ImageProvider imageProviderWidget({
  String imageUrl,
  Uint8List imageMemory,
  String imageAsset,
  String assetPlaceHolder,
}) =>
    imageMemory != null && imageMemory.isNotEmpty
        ? MemoryImage(imageMemory)
        : imageUrl != null && imageUrl.isNotEmpty
            ? CachedNetworkImageProvider(imageUrl)
            : imageAsset != null
                ? AssetImage(imageAsset)
                : assetPlaceHolder != null
                    ? AssetImage(assetPlaceHolder)
                    : Container();
