import 'dart:async';
import 'dart:convert';
import 'dart:js' as js;
import 'dart:typed_data';
import 'package:file_picker/file_picker.dart';
import 'package:modern_form/modern_form_core.dart';

class ModernFormFilePlatformHelper {
  static Future<Uint8List> getFile(ModernFormFileExtensionType type) async {
    FilePickerResult result = await FilePicker.platform.pickFiles(
      type: FileType.custom,
      allowedExtensions: [type.toValueString],
    );

    return result?.files?.single?.bytes ?? null;
  }

  static Future<void> openFileWithPath(String path) async {}

  static Future<void> openFileWithBytes(
      List<int> bytes, String name, String type) async {
    js.context['pdfdata'] = base64.encode(bytes);
    js.context['filename'] = name;
    Timer.run(() {
      js.context.callMethod('download');
    });
  }

  static Future<String> getFilePathFromUrl(
      String url, String fileExtension) async {
    return "";
  }

  static Future<String> getApplicationDocumentsDirectory() async {
    return "";
  }
}
