part of modern_form_core;

class ModernFormDownloadHelper {
  static Future<Uint8List> downloadWithProgress(
    String url, {
    void Function(int, int) onBytesReceived,
    Duration timeLimit,
  }) async {
    return ModernFormDownloadPlatformHelper.downloadWithProgress(
      url,
      onBytesReceived: onBytesReceived,
      timeLimit: timeLimit,
    );
  }

  static Future<Uint8List> simpleDownload(String url) async {
    return ModernFormDownloadPlatformHelper.simpleDownload(url);
  }
}
