import 'package:flutter/material.dart';
import 'NetWorkImageDefault.dart';

class CustomNetWorkImage extends StatelessWidget {
  final String imageUrl;
  final BoxFit fit;
  final bool forceNetworkIfNotMemory;

  const CustomNetWorkImage({
    Key key,
    this.imageUrl,
    this.fit,
    this.forceNetworkIfNotMemory,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return NetWorkImageDefault(imageUrl: imageUrl, fit: fit);
  }
}
